> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Downloads the source file of the transaction

> Downloads the original file that was uploaded to the transaction document, returned as a binary stream. You can find file identifiers in the transaction document info.



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles/{fileId}/download
openapi: 3.0.1
info:
  title: Vantage processing REST API
  description: >-
    The Vantage Processing REST API lets you process documents programmatically:
    create transactions, upload files, launch skills, monitor progress, and
    download results. For authentication and a first end-to-end request, see the
    [Getting started guide](/vantage/developer/getting-started).
  version: '1.0'
  x-application-version: 1.0.0-20251028.13+6e102d0c2a7a440df9ee9615e09b3c8c333587ac
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles/{fileId}/download:
    get:
      tags:
        - TransactionDocuments
      summary: Downloads the source file of the transaction
      description: >-
        Downloads the original file that was uploaded to the transaction
        document, returned as a binary stream. You can find file identifiers in
        the transaction document info.
      operationId: DownloadTransactionDocumentSourceFile
      parameters:
        - name: transactionId
          in: path
          description: Transaction identifier
          required: true
          schema:
            type: string
            format: uuid
        - name: documentId
          in: path
          description: Transaction document identifier
          required: true
          schema:
            type: string
            format: uuid
        - name: fileId
          in: path
          description: Blob identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: File content is successfully returned
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '403':
          description: Transaction belongs to another tenant
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction not found
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
          description: URI reference that identifies the problem type.
        title:
          type: string
          nullable: true
          description: Short, human-readable summary of the problem type.
        status:
          type: integer
          format: int32
          nullable: true
          description: HTTP status code for this occurrence of the problem.
        detail:
          type: string
          nullable: true
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
        instance:
          type: string
          nullable: true
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
      additionalProperties: {}
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````